Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TMergeWhenClause

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TMergeWhenClause

All Implemented Interfaces:
  Visitable

    public class TMergeWhenClause

extends TParseTreeNode

Field Summary
`static int` | `matched`
`static int` | `matched_with_condition`
`static int` | `not_matched`
`static int` | `not_matched_by_source`
`static int` | `not_matched_by_source_with_condition`
`static int` | `not_matched_by_target`
`static int` | `not_matched_by_target_with_condition`
`static int` | `not_matched_with_condition`

Constructor Summary
`TMergeWhenClause()`

Method Summary
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TExpression` | `getCondition()`
`TMergeDeleteClause` | `getDeleteClause()`
`TMergeInsertClause` | `getInsertClause()`
`int` | `getType()`
`TMergeUpdateClause` | `getUpdateClause()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setCondition(TExpression condition)`
`void` | `setType(int type)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### matched

    public static final int matched

See Also:
  Constant Field Values

### not_matched

    public static final int not_matched

See Also:
  Constant Field Values

### matched_with_condition

    public static final int matched_with_condition

See Also:
  Constant Field Values

### not_matched_with_condition

    public static final int not_matched_with_condition

See Also:
  Constant Field Values

### not_matched_by_target

    public static final int not_matched_by_target

See Also:
  Constant Field Values

### not_matched_by_target_with_condition

    public static final int not_matched_by_target_with_condition

See Also:
  Constant Field Values

### not_matched_by_source

    public static final int not_matched_by_source

See Also:
  Constant Field Values

### not_matched_by_source_with_condition

    public static final int not_matched_by_source_with_condition

See Also:
  Constant Field Values

Constructor Detail

### TMergeWhenClause

    public TMergeWhenClause()

Method Detail

### setCondition

    public void setCondition(TExpression condition)

### getType

    public int getType()

### getCondition

    public TExpression getCondition()

### getUpdateClause

    public TMergeUpdateClause getUpdateClause()

### getDeleteClause

    public TMergeDeleteClause getDeleteClause()

### getInsertClause

    public TMergeInsertClause getInsertClause()

### setType

    public void setType(int type)

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD